Kerbal Space Program - Bug #19026

Seems mass and cost values may have been overlooked in structural tube and thrust plate configs
05/23/2018 12:56 AM - shamash_d
Assignee:
Description

Seems the mass, cost, and unlock costs got overlooked when the new structural tubes and thrust plates for Making History were
being made. They all share the same value (75 kg, 300 funds to use, 3000 funds to unlock) regardless of diameter. I'm guessing the
basics of the configs were copied to save time and those entries must have just been missed when going through and correcting the
values to represent the different sizes.

History

#2 - 05/25/2018 02:16 PM - klesh
- Tracker changed from Feedback to Bug
- Status changed from New to Confirmed

- % Done set to 10

Just had a look myself, can confirm. | feel they should have different masses at the very least. I'm inclined to call this a bug and set to confirm.

#3 - 10/15/2018 06:10 PM - joshua.collins
- Status changed from Confirmed to Ready to Test
- Target version set to 1.5.0

- % Done changed from 10 to 80

#4 - 01/24/2019 07:16 PM - Nebbie
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Costs and masses are now indeed different.

#5 - 02/01/2019 06:54 AM - Anonymous

The variants have different mass and cost,

but the values are all so low compared to the decouplers that they are effectively still the same, at essentially zero.
EP18 2,4,7,9,13kg 9, 16, 23, 28, 39f (cf. 120kg 475f for a decoupler)

EP25 4,8,12,16, 23kg 15, 26, 36, 45, 62f (cf 210kg 550f)

EP50 31,47,62,94,125kg 78,109,137,189,238f (cf 640kg 650f)

[Edit:The variant masses are in the sensible order. Earlier | was reading 13,2,4,7,9kg from the Engineer's Report, going from short to long, but the
numbers | read were delayed. Touching the next part brings Engineer's Report up to date. ]

#6 - 02/01/2019 07:34 AM - 5thHorseman

| agree, the costs and masses of the plates should - for the smallest plate of each diameter - be at least equal to the cost of the same-diameter
decoupler, and possibly more considering the added benefit of extra engines. And of course they should go UP with tweaked length, not down :)

#7 - 02/04/2019 03:22 AM - Anonymous

Alternatively, rather than including cost and mass appropriate to the decoupler mechanism of the Engine Plate,
you could remove the deoupler mechanism, letting us add our own below as many players do already. #21143
https://bugs.kerbalspaceprogram.com/issues/21143

#8 - 03/28/2019 03:31 AM - joshua.collins

- Status changed from Resolved to Closed
